## helma.objectmodel.db
Class ParentInfo

    java.lang.Object
      helma.objectmodel.db.ParentInfo

    public class ParentInfo

extends java.lang.Object

This class describes a parent relation between releational nodes.

Field Summary
`java.lang.String` `collectionname`
`boolean` `isroot`
`java.lang.String` `propname`
`java.lang.String` `virtualname`

Constructor Summary
`ParentInfo(java.lang.String desc)` Creates a new ParentInfo object.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propname

    public final java.lang.String propname

### virtualname

    public final java.lang.String virtualname

### collectionname

    public final java.lang.String collectionname

### isroot

    public final boolean isroot

Constructor Detail

### ParentInfo

    public ParentInfo(java.lang.String desc)

  Creates a new ParentInfo object.

  Parameters:
    `desc` - a single parent info descriptor

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the parent info

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.